*Read raw data
infile str11 country popinc life imr fertility gdp using "econ.txt", clear

label var popinc "Population increase"
label var life "Life expectancy"
label var imr "Infant mortality rate"
label var fertility "Fertility rate"
label var gdp "Gross domestic product"
	
*Display correlation matrix 
corr popinc-gdp

/*
pca command
Loadings are raw coefficients a, not rescaled a*
*/

pca popinc-gdp

*Component loadings rescaled coefficients a*, Table 5.11)
estat loadings, cnorm(eigen) 

*Plot of scores on first 2 PCs (Table 5.9)
scoreplot, mlabel(country)







