*Read text file with 10x10 correlation matrix into 10 variables
infile x1-x10 using "socmob.txt", clear
	
*Convert to symmetric matrix 
mkmat x1-x10, matrix(C)

*Display correlation matrix (Table 5.14)
matrix list C

*Name matrix rows and columns
matrix rownames C = HF_0 WF_0 H_FE H_Q H_O W_FE W_Q FB_FE FB_Q FB_O
matrix colnames C = HF_0 WF_0 H_FE H_Q H_O W_FE W_Q FB_FE FB_Q FB_O

*Extract first 6 components
pcamat C, n(713) comp(6)

*Component loadings rescaled coefficients a*, Table 5.15)
estat loadings, cnorm(eigen) 


